Bug 156317 - hang at Starting service rdisc [FAILED]
hang at Starting service rdisc [FAILED]
Product: Fedora
Classification: Fedora
Component: iputils (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
Reported: 2005-04-28 16:48 EDT by John Reiser
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-19 02:47:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Reiser 2005-04-28 16:48:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
Normal boot to multiuser on Mac mini (ARCH=ppc) hangs at "Starting service rdisc...  [FAILED]."  Booting with "2.6.11-1.1275_F confirm" and saying '\r' [Y] to everthing except 'rdisc', works.

[Component chosen on basis of "rpm -qf /sbin/rdisc".]

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot to multiuser.

Actual Results:  Hangs with VGA console showing last line of "Starting service rdisc...  [FAILED]".

Expected Results:  Proceed to display multiuser login.

Additional info:
Comment 1 John Reiser 2005-04-28 16:52:16 EDT
Environment is ethernet IP4 behind Linksys 8 port switch behind Netgear ADSL
router/firewall DHCP server.  Worked fine 4 days ago, even without disabling rdisc.
Comment 2 Radek Vokal 2005-05-19 02:47:07 EDT
Do you really need rdisc as a service? I've created a bug when adding this
daemon on the list of services, it's was turned on by default. The problem is
that updating to newer iputils doesn't turn the daemon off, so if you don't need
router discovery service, turn it off by # chkconfig rdisc off or if you want to
help with fedora testing process, try reinstalling iputils. The daemon should
appear in the list, but turned off.

If you're using router discovery and it doesn't work, than this is another
problem .. 

Note You need to log in before you can comment on or make changes to this bug.